Skip to main content
`Ctrl`+`K`

# PCHYPREAMSSetInteriorNodes

Set the list of interior nodes to a zero-conductivity region for `PCHYPRE` of type ams

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCHYPREAMSSetInteriorNodes(PC pc, Vec interior)

Collective

## Input Parameters

- pc - the preconditioning context

- interior - vector. node is interior if its entry in the array is 1.0.

## Note

This calls `HYPRE_AMSSetInteriorNodes()`

## Developer Notes

If this is only for `PCHYPRE` type of ams it should be called `PCHYPREAMSSetInteriorNodes()`

## See Also

KSP: Linear System Solvers, `PCHYPRE`, `PCHYPRESetDiscreteGradient()`, `PCHYPRESetDiscreteCurl()`, `PCHYPRESetAlphaPoissonMatrix()`

## Level

intermediate

## Location

src/ksp/pc/impls/hypre/hypre.c

## Implementations

PCHYPREAMSSetInteriorNodes_HYPRE() in src/ksp/pc/impls/hypre/hypre.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages